<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Daniel Abplanalp <typo3@internetgalerie.ch>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/



/**
 * Class that adds the wizard icon.
 *
 * @author	Daniel Abplanalp <typo3@internetgalerie.ch>
 * @package	TYPO3
 * @subpackage	tx_igaccountcreate
 */
class tx_igaccountcreate_pi1_wizicon {

	/**
	 * Processing the wizard items array
	 *
	 * @param array $wizardItems The wizard items
	 * @return array Modified array with wizard items
	 */
	public function proc(array $wizardItems) {

		$wizardItems['plugins_tx_igaccountcreate_pi1'] = array(
			'icon' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('ig_account_create') . 'pi1/ce_wiz.gif',
			'title' => 'IG Account Create',
			'description' => 'Konto anlegen',
			'params' => '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=ig_account_create_pi1'
		);

		return $wizardItems;
	}

  }


if (defined('TYPO3_MODE') && isset($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/ig_account_create/pi1/class.tx_igaccountcreate_pi1_wizicon.php'])) {
	include_once($GLOBALS['TYPO3_CONF_VARS'][TYPO3_MODE]['XCLASS']['ext/ig_account_create/pi1/class.tx_igaccountcreate_pi1_wizicon.php']);
}

?>